Skip To Content

ArcGIS Web Adaptor 10.8.x – Systemanforderungen

Im Folgenden werden die für die Ausführung von ArcGIS Web Adaptor erforderlichen System- und Hardwareanforderungen aufgeführt. Weitere Informationen zu früheren Versionen finden Sie unter SupportEsri.

Überprüfen Sie die Deprecation Notes daraufhin, ob Ihre Hardware- und Softwarekomponenten weiterhin mit Version 10.8.1 kompatibel sind.

Anforderungen an Webserver und Betriebssysteme für ArcGIS Web Adaptor (IIS)

Die folgenden Microsoft Windows-Betriebssysteme werden unterstützt. Die für diese Betriebssysteme verfügbaren Versionen des IIS-Webservers werden für die Verwendung mit ArcGIS Web Adaptor (IIS) unterstützt. Aktualisierungen für diese Betriebssysteme und Webserver werden unterstützt, sofern nicht anders angegeben.

Unterstütztes BetriebssystemNeueste getestete Aktualisierung oder neuestes getestetes Service Pack

Windows Server 2019 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2016 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2012 R2 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2012 Standard und Datacenter

Aktualisierungen vom Juni 2020

Frühere und künftige Aktualisierungen oder Service Packs für diese Betriebssystemversionen werden unterstützt und gelten als funktionsfähig, sofern nichts anderes angegeben ist. Außerdem müssen die Betriebssystemversion und dessen Aktualisierungen vom Anbieter des Anwendungs- oder Webservers unterstützt werden.

Hinweis:

Die Option "Desktopdarstellung" ist für alle Versionen von Windows Server erforderlich.

Unterstütztes BetriebssystemNeueste getestete Aktualisierung oder neuestes getestetes Service Pack

Windows 10 Pro und Enterprise (64 Bit [EM64T])

Aktualisierungen vom Juni 2020

Windows 8.1 Pro und Enterprise (64 Bit [EM64T])

Aktualisierungen vom Juni 2020

Anforderungen an Anwendungs- und Webserver sowie Betriebssysteme für ArcGIS Web Adaptor (Java Platform)

Die folgenden Anwendungs- und Webserver werden unter den aufgeführten Betriebssystemen unterstützt:

  • Apache Tomcat 7.0.92, 8.5.35 und 9.0.19
  • GlassFish 4.1.1
  • IBM WebSphere 8.5.5.9 und 9
  • JBoss Enterprise Application Platform 7
  • Oracle WebLogic 12c R1 und R2

Aktualisierungen für diese Anwendungs- oder Webserver werden unterstützt, sofern nicht anders angegeben.

Unterstütztes BetriebssystemNeueste getestete Aktualisierung oder neuestes getestetes Service Pack

Windows Server 2019 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2016 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2012 R2 Standard und Datacenter

Aktualisierungen vom Juni 2020

Windows Server 2012 Standard und Datacenter

Aktualisierungen vom Juni 2020

Frühere und künftige Aktualisierungen oder Service Packs für diese Betriebssystemversionen werden unterstützt und gelten als funktionsfähig, sofern nichts anderes angegeben ist. Die Betriebssystemversion und -aktualisierungen müssen ebenfalls vom Betriebssystem-Provider unterstützt werden.

Java-Unterstützung (für Windows)

In ArcGIS Web Adaptor 10.8 werden Java 8, Java 11 und Java 12 unterstützt.

Ältere Versionen:

In ArcGIS Web Adaptor 10.4.x werden Java 7 und 8 unterstützt, in ArcGIS Web Adaptor 10.5.x und 10.6.x lediglich Java 8. In ArcGIS Web Adaptor 10.7.x werden Java 8, Java 11 und Java 12 unterstützt.

Maximale Anzahl von Installationsinstanzen

Sie können auf einem einzelnen Computer maximal 21 Instanzen von ArcGIS Web Adaptor (IIS) installieren. Wenn mehr Instanzen erforderlich sind, installieren Sie diese auf einem separaten Computer.

Wenn Sie frühere Versionen auf dem Computer installiert haben, müssen diese nicht deinstalliert werden. Sie können beispielsweise fünf Instanzen von ArcGIS Web Adaptor 10.4 und 21 Instanzen von ArcGIS Web Adaptor 10.8.1 auf derselben Maschine installieren. Der Maximalwert gilt nur für Instanzen derselben Softwareversion.

Unterstützung von Microsoft .NET Framework 4.5.2

Für die Installation von ArcGIS Web Adaptor (IIS) ist Microsoft .NET Framework 4.5.2 oder höher erforderlich. Wenn Ihr Betriebssystem Microsoft .NET Framework 4.5.2 enthält, stellen Sie mit Windows-Features sicher, dass es aktiviert ist. Wenn Ihr Betriebssystem Microsoft .NET Framework 4.5.2 nicht enthält, können Sie es von den Installationsmedien herunterladen und mit Windows-Features aktivieren.

Erforderliche Komponenten für Microsoft IIS

ArcGIS Web Adaptor (IIS) unterstützt IIS unter Windows 8.1 und 10 sowie Windows Server 2012, 2012 R2, 2016 und 2019 Standard/DataCenter. Dies entspricht den IIS-Versionen 8.0, 8.5 und 10. IIS muss zusammen mit bestimmten IIS-Komponenten der Versionen 8.0, 8.5 und 10 aktiviert werden. Wenn IIS nicht gefunden wird und bestimmte IIS-Komponenten nicht aktiviert werden, wird die Installation nicht fortgesetzt.

Wenn IIS 8.0, 8.5 oder 10 bereits installiert ist, die erforderlichen IIS-Komponenten jedoch fehlen, wird bei der Installation das Dialogfeld Überprüfen der IIS-Anforderungen angezeigt. Dies gibt Ihnen die Möglichkeit, die fehlenden IIS-Komponenten automatisch zu installieren. Klicken Sie dazu auf Ich stimme zu. Weitere Informationen finden Sie im Abschnitt "Automatisches Aktivieren von IIS-Komponenten".

Hinweis:

Bei der automatischen Installation von ArcGIS Web Adaptor müssen alle erforderlichen IIS-Komponenten manuell aktiviert werden. Wenn Sie eine automatische Installation durchführen, werden fehlende IIS-Komponenten beim Setup nicht automatisch aktiviert.

Informationen zur Aktivierung von IIS auf Ihrem Betriebssystem und der optionalen manuellen Aktivierung fehlender Komponenten für IIS 8.0, 8.5 oder 10 finden Sie in den folgenden Themen:

Unterstützte Webbrowser

Die folgenden Webbrowser werden vom Web Adaptor-Konfigurationsassistenten unterstützt:

  • Google Chrome
  • Mozilla Firefox
  • Microsoft Internet Explorer 11*
  • Microsoft Edge (neu) und Edge Legacy (Es handelt sich hierbei um die letzte Version, in der Edge Legacy unterstützt wird.)

Internet Explorer 11 ist in dieser Version veraltet. Esri empfiehlt, stattdessen einen der oben genannten Browser zu verwenden. Internet Explorer 11 wird in der aktuellen Version noch unterstützt. Jedoch wird von der Verwendung von Internet Explorer 11 abgeraten, und die Unterstützung wird in einer zukünftigen Version eingestellt. Vor der Einstellung der Unterstützung erfolgt eine zusätzliche Benachrichtigung.

Unterstützte Virtualisierungsumgebungen und Cloud-Plattformen

Die Unterstützung der Virtualisierungs- und Cloud-Umgebung ist für alle Komponenten einer ArcGIS Enterprise-Bereitstellung gleich. Weitere Informationen finden Sie unter ArcGIS Enterprise auf Cloud-Plattformen und Unterstützte Virtualisierungsumgebungen in den ArcGIS Enterprise-Systemanforderungen.